Skip to main content

Fees

Overview​

This resource represents the Fees (Services) that are the part of the Bookings as Bookings Fees - either as "standalone fees" (that don't have any relationship to Rentals Fees) or the ones that have a relationship to Rentals Fees.

Parameters​

NameTypeRead/WriteDescription
accountIntegerReadAccount's ID related to the Fee
idIntegerReadFee's id.
currencyStringReadRequested fee's currency, defaults to original_currency. List of currencies codes described in enums section
downpayment_percentageDecimalReadFee's downpayment percentage.
exchange_rateDecimalReadThe rate used to convert from the original_currency to currency.
headlineObjectReadFee's headline, list of locales described in enums section.
nameObjectReadFee's name, list of locales described in enums section.
kindStringReadFee's kind, list of fee's kinds described in enums section
original_currencyStringReadFee's original currency, list of currencies codes described in enums section
rateDecimalReadFee's rate.
rate_kindStringReadFee's rate kind, list of fee's rate kinds described in enums section.
maximum_possible_rateDecimalReadFee's maximum possible rate, calculated value won't exceed amount present on this attribute. It is applied only for percentage kinds, list of kinds is described in enums section
notesStringReadFee's notes
archived_atTimeReadFee's archive time.
created_atTimeReadFee's create time.
updated_atTimeReadFee's update time.

List fees​

List all fees for a given account(s).

GET /fees
response.json
{
"links": {
"fees.account": "http://www.bookingsync.com/api/v3/accounts/{fees.account}"
},
"fees": [
{
"links": {
"account": 1
},
"id": 9,
"kind": "other",
"headline": {
"en": "Fee headline"
},
"name": {
"en": "Fee"
},
"rate": "12.0",
"rate_kind": "fixed",
"archived_at": null,
"created_at": "2015-03-18T09:33:45Z",
"updated_at": "2015-03-18T09:33:45Z",
"downpayment_percentage": "0.0",
"currency": "EUR",
"original_currency": "EUR",
"exchange_rate": "1.0",
"maximum_possible_rate": null
}
]
}

Change fees currency​

Coverts fee's rate to defined currency.

Example:

GET /fees?exchange_to_currency=USD

Exchange Parameters​

NameTypeDefaultDescription
exchange_to_currencyStringoriginal currencyFees with exchanged rate value.

Get a single fee​

Returns a single fee identified by ID.

GET /fees/:fee_id
response.json
{
"links": {
"fees.account": "http://www.bookingsync.com/api/v3/accounts/{fees.account}"
},
"fees": [
{
"links": {
"account": 1
},
"id": 9,
"kind": "other",
"headline": {
"en": "Fee headline"
},
"name": {
"en": "Fee"
},
"rate": "12.0",
"rate_kind": "fixed",
"archived_at": null,
"created_at": "2015-03-18T09:33:45Z",
"updated_at": "2015-03-18T09:33:45Z",
"downpayment_percentage": "0.0",
"currency": "EUR",
"original_currency": "EUR",
"exchange_rate": "1.0",
"maximum_possible_rate": null
}
]
}

Create a new fee​

Returns a newly created fee.

POST /fees

Update a fee​

Returns an updated fee identified by ID.

PUT /fees/:fee_id

Archive a fee​

Archived fees

Fees that were archived are no longer considered valid, but will be present on index and show actions. They can be identified by presence of archived_at timestamp.

Required OAuth scope: :rates_write

Returns empty response with 204 No Content status code on success.

DELETE /fees/:fee_id